<script setup>
defineProps({
    name: { type: String, default: '' },
    label: { type: String, default: '' }
})

// I took my original AutocompleteField component and reduced it quite a lot.
// This is of course not going to autocomplete anything :D
</script>

<template>
    <div class="autocomplete-field n-stack n-gap-s">
        <label class="n-label" for="autocomplete-field-form" v-text="label" />
        <div class="autocomplete-field__inner n-input">
            <div class="autocomplete-field__start n-color-text-weaker">
                <nord-icon name="navigation-search" />
            </div>
            <div class="autocomplete-field__field">
                <input
                    :id="name"
                    :name="name"
                    :list="`${name}-options`"
                    type="text"
                    autocomplete="off"
                />
            </div>
        </div>
    </div>
</template>

<style scoped>
.autocomplete-field__start {
    align-self: center;
    flex-shrink: 0;
    margin-right: 1rem;
}

.autocomplete-field .n-input:focus-within {
    --n-input-border-color: var(--n-color-accent);
    background: var(--n-color-surface);
    outline: 0;
    box-shadow: 0 0 0 1px var(--n-input-border-color);
}

.autocomplete-field .n-input {
    padding-top: 0;
    padding-bottom: 0;
}

.autocomplete-field input {
    background: transparent;
    padding: 0.25rem 0.5rem;
    flex: 1 0 auto;
    min-width: 30px;
    min-height: 36px;
    display: inline-block;
    border: 0;
}

.autocomplete-field__inner {
    display: flex;
    align-items: center;
}

.autocomplete-field input:focus {
    outline: 0;
}

.autocomplete-field__field {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}
</style>
